SocketBufferHandler (Apache Tomcat 8.5.87 API Documentation)

Package org.apache.tomcat.util.net

## Class SocketBufferHandler

- java.lang.Object
- - org.apache.tomcat.util.net.SocketBufferHandler

-     public class SocketBufferHandler
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SocketBufferHandler​(int readBufferSize, int writeBufferSize, boolean direct)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `configureReadBufferForRead()` |
    `void` | `configureReadBufferForWrite()` |
    `void` | `configureWriteBufferForRead()` |
    `void` | `configureWriteBufferForWrite()` |
    `void` | `expand​(int newSize)` |
    `void` | `free()` |
    `java.nio.ByteBuffer` | `getReadBuffer()` |
    `java.nio.ByteBuffer` | `getWriteBuffer()` |
    `boolean` | `isReadBufferEmpty()` |
    `boolean` | `isWriteBufferEmpty()` |
    `boolean` | `isWriteBufferWritable()` |
    `void` | `reset()` |
    `void` | `unReadReadBuffer​(java.nio.ByteBuffer returnedData)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SocketBufferHandler

          public SocketBufferHandler​(int readBufferSize,
                                     int writeBufferSize,
                                     boolean direct)

  - ### Method Detail

    - #### configureReadBufferForWrite

          public void configureReadBufferForWrite()

    - #### configureReadBufferForRead

          public void configureReadBufferForRead()

    - #### getReadBuffer

          public java.nio.ByteBuffer getReadBuffer()

    - #### isReadBufferEmpty

          public boolean isReadBufferEmpty()

    - #### unReadReadBuffer

          public void unReadReadBuffer​(java.nio.ByteBuffer returnedData)

    - #### configureWriteBufferForWrite

          public void configureWriteBufferForWrite()

    - #### configureWriteBufferForRead

          public void configureWriteBufferForRead()

    - #### isWriteBufferWritable

          public boolean isWriteBufferWritable()

    - #### getWriteBuffer

          public java.nio.ByteBuffer getWriteBuffer()

    - #### isWriteBufferEmpty

          public boolean isWriteBufferEmpty()

    - #### reset

          public void reset()

    - #### expand

          public void expand​(int newSize)

    - #### free

          public void free()